

.productviewsectionInfoWrap {
    background-image   : url('../images/pistolproductview/infoSectionBG.jpg');
    background-size    : cover;
    background-position: center;
    padding-block      : 50px;

    --swiper-navigation-top-offset             : calc(100% - 30px);
    --swiper-pagination-bottom                 : 25px;
    --swiper-navigation-size                   : 25px;
    --swiper-navigation-sides-offset           : 25px;
    --swiper-navigation-color                  : var(--primary-color-background);
    --swiper-pagination-color                  : var(--primary-color-background);
    --swiper-pagination-bullet-inactive-opacity: 1;
    --swiper-pagination-bullet-inactive-color  : var(--secondary-color-foreground);
    --swiper-pagination-bullet-size            : 8px;
}


.desktopOnly {
    display: block;
}

.mobileOnly {
    display: none;
}



.productviewsectionInfoWrap :is(h1, h2, h3, h4, h5, h6, p), 
.pistolRelatedProduct :is(h1, h2, h3, h4, h5, h6, p), 
.pistolSpectSection :is(h1, h2, h3, h4, h5, h6, p) {
    margin-block : 0;
}


.productviewsectionInfoWrap :is(h1, h2, ul, li), 
.pistolRelatedProduct :is(h1, h2, ul, li), 
.pistolSpectSection :is(h1, h2, ul, li)  {
    font-family: 'Oswald', sans-serif;
    font-weight: 500;
    text-transform: uppercase;
}

.pistolRelatedProduct .productPrice,  
.productviewsectionInfoWrap .productPrice  {
    display: flex;
    align-items: end;
    gap : 16px;
    font-family: "Oswald", sans-serif;
}


.productviewsectionInfoWrap  :is(.originalPrice , .discountPrice), 
.pistolRelatedProduct  :is(.originalPrice , .discountPrice)
{
    font-weight    : 400;
    letter-spacing : 5%;
    text-transform : uppercase;
}

.pistolRelatedProduct  .originalPrice,
.productviewsectionInfoWrap  .originalPrice {
    font-size : 18px;   
    padding-bottom : 2px;
    text-decoration: line-through;

}

.productviewsectionInfoWrap  .discountPrice,
.pistolRelatedProduct  .discountPrice {
    font-size : 26px;   
    color : var(--accent-color-background);
}


.pistolRelatedProduct .standardPrice h4,
.productviewsectionInfoWrap .standardPrice h4 {
    font-family   : "Oswald", sans-serif;
    font-size     : 14px;
    font-weight   : 400;
    text-transform: uppercase;
    padding-block : 5px;
}

.pistolRelatedProduct .standardPrice h3,
.productviewsectionInfoWrap .standardPrice h3 {
    font-size     : 26px;
    font-family   : "Oswald", sans-serif;
    font-weight   : 400;
    letter-spacing: 5%;
    color         : var(--primary-color-background);
    margin-bottom : 10px;
}

.productviewsectionInfoWrap input {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: textfield; /* Firefox */
    outline: none;
    box-sizing: border-box; 
}

.productviewsectionInfoWrap input[type="number"] {
    -moz-appearance: textfield;
}

.productviewsectionInfoWrap input[type="number"]::-webkit-outer-spin-button,
.productviewsectionInfoWrap input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.productviewsectionInfoWrap .container {
    display: flex;
    gap : 50px;
    color : var(--primary-color-foreground);

    @media screen and (max-width: 768px) {
        flex-wrap: wrap;
    }
}

.productviewsectionInfoWrap :is(.swiper-button-next, .swiper-button-prev) {
    z-index: 200;
}

.productviewsectionInfoWrap .saleBadge, .pistolRelatedProduct .saleBadge {
    position: absolute;
    height  : 110px;
    width   : 110px;
    overflow: clip;
    top     : 0;
    left    : 0;
    padding : 12px;
    padding-top : 15px;
    z-index: 200;
}

.productviewsectionInfoWrap .saleBadge span, .pistolRelatedProduct .saleBadge span {
    z-index       : 1;
    position      : relative;
    font-weight   : 600;
    font-size     : 18px;
    letter-spacing: 5%;
    text-transform: uppercase;
}

.productviewsectionInfoWrap .saleBadge:after, .pistolRelatedProduct .saleBadge:after {
    background-color: var(--accent-color-background);
    content         : '';
    width           : 110px;
    height          : 110px;
    position        : absolute;
    top             : 0;
    left            : 0;
    z-index         : 0;
    clip-path       : polygon(0 0, 100% 0, 0 100%);
}

.pistolImageSliderWrap {
    position: relative;
    flex : 1;
    max-width: 370px;
}

.pistolImageSliderWrap .swiper {
    height : 355px;
    background : var(--accent-color-foreground);
    margin-bottom : 20px;

}

.pistolImageSliderWrap .swiper-slide {
    padding    : 20px;
    align-items: center;
    display    : flex;
    height     : 100%;
}

.pistolImageSliderWrap img {
    width: 100%;
    object-fit: contain;
}


.pistolImageSliderWrap .stockStatus {
    font-size: 16px;
    color : var(--primary-color-background);
}

.pistolImageSliderWrap small {
    font-size : 11px;
    color : var(--secondary-color-background);
}


.productAction {
    display: flex;
    align-items: center;
    width : 100%;
    gap : 12px;
    padding-top : 3px;
}

.productAction input {
    border-radius: 0;
    width        : 45px;
    height       : 45px;
    border       : 0;
    text-align   : center;
    font-size : 16px;
}

.productAction button {
    flex : 1;
}

.pistolInfo {
    max-width: 460px;
    min-width: 460px;
}


.pistolInfo h1 {
    font-size    : 40px;
    margin-bottom: 10px;
}

.pistolInfo h2 {
    font-size : 19px;
}

.pistolInfo ul {
    list-style-type: disc;
    font-size: 14px;
    padding-left : 16px;
    line-height: 30px;
    margin-left: 0;
    margin-block-start: 1em;
    margin-block-end: 1em;

    @media screen and (max-width : 768px) {
        font-size : 16px;
    }
} 

.pistolInfo p {
    font-size    : 16px;
    line-height  : 24px;
    padding-block: 20px;
}

.pistolCategoriesMiniInfo {
    background-color: var(--accent-color-foreground);
    padding         : 16px 22px;
    border-radius   : 8px;
}

.pistolCategoriesMiniInfo .formGroup {
    display         : flex;
    align-items     : center;
    border-radius   : 8px;
    height          : 42px;
    border          : 1.5px solid var(--secondary-color-background);
    background-color: var(--primary-color-foreground);
    padding-inline  : 10px;
    margin-bottom : 20px;
}

.pistolCategoriesMiniInfo .formGroup form {
    display: flex;
    width: 100%;
}

.pistolCategoriesMiniInfo .formGroup form input {
    background-color: transparent;
    border-color    : transparent;
    border-width    : 0;
    height          : 100%;
    flex            : 1;
    font-size       : 14px !important;
    text-transform: none;
    padding: 0;
    color: #000 !important;
}

.pistolCategoriesMiniInfo .formGroup form [type="submit"] {
    width: 24px;
    max-width: 24px;
    height: 24px;
    flex: 1;
    padding: 0;
    margin: 10px 0;
    min-width: 24px;
}

/* Chrome, Edge, Safari */
.pistolCategoriesMiniInfo .formGroup form input::-webkit-input-placeholder {
    color: #000 !important;
    font-size: 14px !important;
}

/* Firefox 19+ */
.pistolCategoriesMiniInfo .formGroup form input::-moz-placeholder {
    color: #000 !important;
    opacity: 1 !important;
}

/* Firefox 4–18 */
.pistolCategoriesMiniInfo .formGroup form input::-moz-placeholder {
    color: #000 !important;
    opacity: 1 !important;
}

/* Internet Explorer 10–11 */
.pistolCategoriesMiniInfo .formGroup form input::-ms-input-placeholder {
    color: #000 !important;
}

/* Modern fallback */
.pistolCategoriesMiniInfo .formGroup form input::placeholder {
    color: #000 !important;
}

.pistolCategoriesMiniInfo .formGroup .icon {
    filter: brightness(0);
}


.pistolCategoriesMiniInfo h2 {
    margin-bottom: 20px;
    font-size: 1.5em;
}

.categoriesList {
    border-bottom : 1.5px solid var(--secondary-color-background);
    padding-bottom: 16px;
    margin-bottom : 16px;
}

.categoriesList a {
    color         : var(--secondary-color-foreground);
    text-transform: uppercase;
    margin-bottom : 10px;
    display       : block;
    font-size     : 14px;
    font-family   : "Oswald", sans-serif;
    font-weight   : 500;
}

.categoriesList a:hover {
    color : var(--primary-color-background);
}

.categoriesList a.active {
    color : var(--primary-color-background);
}

.cartSummary p {
    font-size    : 14px;
    font-weight  : 400;
    margin-bottom: 10px;
}

.cartSummary .subTotal {
    border-block : 1.5px solid var(--secondary-color-background);
    padding-block: 10px;
    margin-top   : 20px;
    margin-bottom: 40px;
    font-family  : "Oswald", sans-serif;
    display      : flex;
    gap          : 20px;
}

.cartSummary .subTotal span:first-child {
    text-transform: uppercase;
    font-weight   : 500;
    font-size     : 16px;
    color         : var(--secondary-color-foreground);
}

.cartSummary .subTotal .woocommerce-Price-amount,
.cartSummary .subTotal .woocommerce-Price-currencySymbol{
    color: #fff !important;
}

.pistolCategoriesMiniInfo button {
    width        : 100%;
    margin-bottom: 24px;
}

.pistolSpectSection {
    color              : var(--primary-color-foreground);
    padding-block      : 45px;
    background-image   : 
        linear-gradient(rgba(0, 0, 0, 0.25), rgba(0, 0, 0, 0.25)),
        url('../images/pistolproductview/specbg.jpg');
    background-size    : cover;
    background-position: left;
    background-color   : var(--accent-color-foreground);
}

.pistolSpectSection .safeSpectList {
    display              : grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap                  : 20px;
}

.pistolSpectSection .safeSpectList ul {
    padding-left : 16px;
}

.pistolSpectSection .spectItem {
    padding-right : 70px;
}

.pistolRelatedProduct {
    color        : var(--primary-color-foreground);
    padding-block: 60px;
}

.pistolRelatedProduct h1 {
    text-align   : center;
    margin-bottom: 20px;
}

.pistolRelatedProduct .swiper:has(.swiper-button-next, .swiper-button-prev) {
    padding-bottom: 60px;

    --swiper-navigation-size : 25px;
}

.pistolRelatedProduct :is(.swiper-button-next, .swiper-button-prev) {
    top : auto;
    bottom : 0;
}

.pistolRelatedProduct .swiper-button-next::after,
.pistolRelatedProduct .swiper-button-prev::after {
    display: none;
    content: none; 
}

.pistolRelatedProduct .swiper-button-prev {
    left : auto;
    right: 60px;
}

.pistolRelatedProduct .rpitem {
    position : relative;
    background-color : #222222
}

.pistolRelatedProduct .rpImage  {
    width              : 100%;
    height             : 200px;
    background-image   : url('../images/pistolproductview/infoSectionBG.jpg');
    background-size    : cover;
    background-position: center;
    padding            : 20px;
    display            : flex;
    align-items        : center;
    justify-content    : center;
}

.pistolRelatedProduct .rpImage img {
    width : 158px;
    height: 158px;
    object-fit: contain;
}

.pistolRelatedProduct .rpInfo {
    text-align    : center;
    padding-inline: 40px;
    padding-top   : 18px;
    padding-bottom: 30px;
}

.pistolRelatedProduct .rpInfo h2 {
    font-size : 28px;
    line-height: 30px;
}

.pistolRelatedProduct .productPrice {
    margin-top     : 3px;
    margin-bottom  : 24px;
    justify-content: center;
}


@media screen and (max-width: 768px) {
    .productviewsectionInfoWrap {
        --swiper-pagination-bullet-size: 14px; 
    }
    
    .productviewsectionInfoWrap .container {
        display: block;
    }

    .desktopOnly {
        display: none !important;
    }

    .mobileOnly {
        display: block !important;
    }

    .pistolCategoriesMiniInfo {
        background-color : transparent;
    }

    .pistolSpectSection {
        background-image : linear-gradient(rgba(0, 0, 0, 0.40), rgba(0, 0, 0, 0.40)),
        url('../images/pistolproductview/specbg.jpg');
        padding-top: 44px;
    }

    .cartSummary .subTotal {
        border-width : 0;
        border-color : transparent;
        flex-direction: column;
        align-items  : center;
        margin-top : 0;
        margin-bottom: 25px;
        gap : 0;
    }

    .cartSummary .subTotal span:first-child {
        font-size : 18px;
    }

    .cartSummary .subTotal span:last-child {
        font-size : 27px;
    }

    .categoriesList {
        border-bottom: 0 solid transparent;
    }

    .categoriesList a {
        font-size : 16px;
    }

    .pistolRelatedProduct :is(.swiper-button-next, .swiper-button-prev) {
        right : auto !important;
        transform: translateY(-50%) !important;
    }

    .pistolRelatedProduct .swiper-button-prev {
        left : 40% !important;
    }

    .pistolRelatedProduct .swiper-button-next {
        left : 50% !important;
    }
     .pistolInfo {
        max-width:100% !important;
        min-width: 100% !important;
    }

}